Loading...
Searching...
No Matches
apr_bucket_refcount Struct Reference
APR Utility Functions » Bucket Brigades

`#include <apr_buckets.h>`

## Data Fields

int | refcount

## Detailed Description

The structure used to manage the shared resource must start with an apr_bucket_refcount which is updated by the general-purpose refcount code. A pointer to the bucket-type-dependent private data structure can be cast to a pointer to an apr_bucket_refcount and vice versa.

## Field Documentation

## refcount

int apr_bucket_refcount::refcount

The number of references to this bucket

The documentation for this struct was generated from the following file:

- apr_buckets.h